> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List doc articles

> List all published doc articles for a workspace by ID. No authorization is required.



## OpenAPI

````yaml get /docs/articles/{workspaceId}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /docs/articles/{workspaceId}:
    get:
      tags:
        - docs
      summary: List doc articles
      description: >-
        List all published doc articles for a workspace by ID. No authorization
        is required.
      operationId: docs-listArticles
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
        - name: groupId
          in: query
          required: false
          schema:
            type: string
        - name: skip
          in: query
          required: false
          schema:
            type: integer
        - name: take
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    isDeleted:
                      type: boolean
                    version:
                      type: number
                    order:
                      type: number
                    date:
                      type: string
                      format: date-time
                      nullable: true
                    published:
                      type: boolean
                    title:
                      type: string
                    icon:
                      type: string
                    content: {}
                    summary:
                      type: string
                    archived:
                      type: boolean
                    urlName:
                      type: string
                    showOnHomePage:
                      type: boolean
                    imageUrl:
                      type: string
                      nullable: true
                    imageBlurhash:
                      type: string
                      nullable: true
                    workspaceId:
                      type: string
                    helpCenterGroupId:
                      type: string
                      nullable: true
                  required:
                    - id
                    - createdAt
                    - updatedAt
                    - isDeleted
                    - version
                    - order
                    - date
                    - published
                    - title
                    - icon
                    - summary
                    - archived
                    - urlName
                    - showOnHomePage
                    - imageUrl
                    - imageBlurhash
                    - workspaceId
                    - helpCenterGroupId
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````